Loading...
Searching...
No Matches
pappso::MassSpecTracePlotContext Class Reference

`#include <massspectraceplotcontext.h>`

Inheritance diagram for pappso::MassSpecTracePlotContext:

## Public Member Functions

Q_INVOKABLE | MassSpecTracePlotContext (QObject *parent=nullptr)
virtual | ~MassSpecTracePlotContext ()
Q_INVOKABLE MassSpecTracePlotContext * | clone (QObject *parent=nullptr)
Q_INVOKABLE void | initialize (const BasePlotContext &other)
Q_INVOKABLE void | initialize (const MassSpecTracePlotContext &other)
| MassSpecTracePlotContext (const MassSpecTracePlotContext &other)=delete
MassSpecTracePlotContext & | operator= (const BasePlotContext &other)=delete
MassSpecTracePlotContext & | operator= (const MassSpecTracePlotContext &other)=delete
void | resetDeconvolutionData ()
Q_INVOKABLE QString | toString () const
Public Member Functions inherited from pappso::BasePlotContext
Q_INVOKABLE | BasePlotContext (QObject *parent=nullptr)
virtual | ~BasePlotContext ()
Q_INVOKABLE BasePlotContext * | clone (QObject *parent=nullptr)
Q_INVOKABLE void | initialize (const BasePlotContext &other)
| BasePlotContext (const BasePlotContext &other)=delete
BasePlotContext & | operator= (const BasePlotContext &other)=delete
void | updateIntegrationScope ()
void | updateIntegrationScopeRect ()
void | updateIntegrationScopeRhomb ()
void | updateIntegrationScopeRhombHorizontal ()
void | updateIntegrationScopeRhombVertical ()
DragDirections | recordDragDirections ()
Q_INVOKABLE QString | toString () const
Q_INVOKABLE QString | dragDirectionsToString () const

## Static Public Member Functions

static void | registerJsConstructor (QJSEngine *engine)
Static Public Member Functions inherited from pappso::BasePlotContext
static void | registerJsConstructor (QJSEngine *engine)

## Public Attributes

quint16 | m_lastZ = std::numeric_limits<quint16>::max()
double | m_lastMz = qQNaN()
double | m_lastTicIntensity = qQNaN()
double | m_lastMr = qQNaN()
double | m_lastResolvingPower = qQNaN()
Public Attributes inherited from pappso::BasePlotContext
Enums::DataKind | m_dataKind = Enums::DataKind::unset
bool | m_isMouseDragging = false
bool | m_wasMouseDragging = false
bool | m_isKeyBoardDragging = false
bool | m_isLeftPseudoButtonKeyPressed = false
bool | m_isRightPseudoButtonKeyPressed = false
bool | m_wasKeyBoardDragging = false
QPointF | m_startDragPoint
QPointF | m_currentDragPoint
QPointF | m_lastCursorHoveredPoint
DragDirections | m_dragDirections = DragDirections::NOT_SET
IntegrationScopeBaseCstSPtr | msp_integrationScope = nullptr
SelectionPolygon | m_selectionPolygon
double | m_integrationScopeRhombWidth = 0
double | m_integrationScopeRhombHeight = 0
QCPRange | m_xRange
QCPRange | m_yRange
bool | m_wasClickOnXAxis = false
bool | m_wasClickOnYAxis = false
bool | m_isMeasuringDistance = false
double | m_xRegionRangeStart = std::numeric_limits<double>::min()
double | m_xRegionRangeEnd = std::numeric_limits<double>::min()
double | m_yRegionRangeStart = std::numeric_limits<double>::min()
double | m_yRegionRangeEnd = std::numeric_limits<double>::min()
double | m_xDelta = 0
double | m_yDelta = 0
int | m_pressedKeyCode
int | m_releasedKeyCode
Qt::KeyboardModifiers | m_keyboardModifiers
Qt::MouseButtons | m_lastPressedMouseButton
Qt::MouseButtons | m_lastReleasedMouseButton
Qt::MouseButtons | m_pressedMouseButtons
Qt::MouseButtons | m_mouseButtonsAtMousePress
Qt::MouseButtons | m_mouseButtonsAtMouseRelease

## Properties

int | lastZ
double | lastMz
double | lastTicIntensity
double | lastMr
double | lastResolvingPower
Properties inherited from pappso::BasePlotContext
bool | isMouseDragging
bool | wasMouseDragging
bool | isKeyBoardDragging
bool | isLeftPseudoButtonKeyPressed
bool | isRightPseudoButtonKeyPressed
bool | wasKeyBoardDragging
QPointF | startDragPoint
QPointF | currentDragPoint
QPointF | lastCursorHoveredPoint
DragDirections | dragDirections
double | xRegionRangeStart
double | xRegionRangeEnd
double | yRegionRangeStart
double | yRegionRangeEnd
double | xDelta
double | yDelta
double | pressedKeyCode
double | releasedKeyCode
Qt::KeyboardModifiers | keyboardModifiers
Qt::MouseButtons | lastPressedMouseButton
Qt::MouseButtons | lastReleasedMouseButton
Qt::MouseButtons | pressedMouseButtons
Qt::MouseButtons | mouseButtonsAtMousePress
Qt::MouseButtons | mouseButtonsAtMouseRelease

## Detailed Description

Definition at line 32 of file massspectraceplotcontext.h.

## Constructor & Destructor Documentation

## MassSpecTracePlotContext() [1/2]

pappso::MassSpecTracePlotContext::MassSpecTracePlotContext | ( | QObject * | parent = nullptr | ) |

Definition at line 18 of file massspectraceplotcontext.cpp.

: BasePlotContext(parent)
{
}
pappso::BasePlotContext::BasePlotContext
Q_INVOKABLE BasePlotContext(QObject *parent=nullptr)
Definition baseplotcontext.cpp:38

References pappso::BasePlotContext::BasePlotContext().

Referenced by MassSpecTracePlotContext(), clone(), initialize(), operator=(), and operator=().

## ~MassSpecTracePlotContext()

pappso::MassSpecTracePlotContext::~MassSpecTracePlotContext | ( |  | ) |

virtual

Definition at line 22 of file massspectraceplotcontext.cpp.

{
}

## MassSpecTracePlotContext() [2/2]

pappso::MassSpecTracePlotContext::MassSpecTracePlotContext | ( | const MassSpecTracePlotContext & | other | ) |

delete

References MassSpecTracePlotContext().

## Member Function Documentation

## clone()

MassSpecTracePlotContext * pappso::MassSpecTracePlotContext::clone | ( | QObject * | parent = nullptr | ) |

Definition at line 27 of file massspectraceplotcontext.cpp.

{
MassSpecTracePlotContext *copy_p = new MassSpecTracePlotContext(parent);
copy_p->initialize(*const_cast<const MassSpecTracePlotContext *>(this));
copy_p->m_lastZ = m_lastZ;
copy_p->m_lastMz = m_lastMz;
copy_p->m_lastTicIntensity = m_lastTicIntensity;
copy_p->m_lastMr = m_lastMr;
copy_p->m_lastResolvingPower = m_lastResolvingPower;
return copy_p;
}
pappso::MassSpecTracePlotContext::m_lastMz
double m_lastMz
Definition massspectraceplotcontext.h:57
pappso::MassSpecTracePlotContext::m_lastZ
quint16 m_lastZ
Definition massspectraceplotcontext.h:56
pappso::MassSpecTracePlotContext::m_lastResolvingPower
double m_lastResolvingPower
Definition massspectraceplotcontext.h:60
pappso::MassSpecTracePlotContext::MassSpecTracePlotContext
Q_INVOKABLE MassSpecTracePlotContext(QObject *parent=nullptr)
Definition massspectraceplotcontext.cpp:18
pappso::MassSpecTracePlotContext::m_lastMr
double m_lastMr
Definition massspectraceplotcontext.h:59
pappso::MassSpecTracePlotContext::m_lastTicIntensity
double m_lastTicIntensity
Definition massspectraceplotcontext.h:58

References MassSpecTracePlotContext(), initialize(), m_lastMr, m_lastMz, m_lastResolvingPower, m_lastTicIntensity, and m_lastZ.

## initialize() [1/2]

void pappso::MassSpecTracePlotContext::initialize | ( | const BasePlotContext & | other | ) |

Definition at line 43 of file massspectraceplotcontext.cpp.

{
BasePlotContext::initialize(other);
}
pappso::BasePlotContext::initialize
Q_INVOKABLE void initialize(const BasePlotContext &other)
Definition baseplotcontext.cpp:186

References pappso::BasePlotContext::BasePlotContext(), and pappso::BasePlotContext::initialize().

Referenced by clone().

## initialize() [2/2]

void pappso::MassSpecTracePlotContext::initialize | ( | const MassSpecTracePlotContext & | other | ) |

Definition at line 49 of file massspectraceplotcontext.cpp.

{
BasePlotContext::initialize(other);
m_lastZ = other.m_lastZ;
m_lastMz = other.m_lastMz;
m_lastTicIntensity = other.m_lastTicIntensity;
m_lastMr = other.m_lastMr;
m_lastResolvingPower = other.m_lastResolvingPower;
}

References MassSpecTracePlotContext(), pappso::BasePlotContext::initialize(), m_lastMr, m_lastMz, m_lastResolvingPower, m_lastTicIntensity, and m_lastZ.

## operator=() [1/2]

MassSpecTracePlotContext & pappso::MassSpecTracePlotContext::operator= | ( | const BasePlotContext & | other | ) |

delete

References pappso::BasePlotContext::BasePlotContext(), and MassSpecTracePlotContext().

## operator=() [2/2]

MassSpecTracePlotContext & pappso::MassSpecTracePlotContext::operator= | ( | const MassSpecTracePlotContext & | other | ) |

delete

References MassSpecTracePlotContext().

## registerJsConstructor()

void pappso::MassSpecTracePlotContext::registerJsConstructor | ( | QJSEngine * | engine | ) |

static

Definition at line 92 of file massspectraceplotcontext.cpp.

{
if(!engine)
{
qWarning() << "Cannot register class: engine is null";
return;
}
// Register the meta object as a constructor
QJSValue jsMetaObject = engine->newQMetaObject(&MassSpecTracePlotContext::staticMetaObject);
engine->globalObject().setProperty("MassSpecTracePlotContext", jsMetaObject);
}

## resetDeconvolutionData()

void pappso::MassSpecTracePlotContext::resetDeconvolutionData | ( |  | ) |

Definition at line 62 of file massspectraceplotcontext.cpp.

{
m_lastZ = std::numeric_limits<quint16>::max();
m_lastMz = qQNaN();
m_lastMr = qQNaN();
}

References m_lastMr, m_lastMz, and m_lastZ.

## toString()

QString pappso::MassSpecTracePlotContext::toString | ( |  | ) | const

Definition at line 70 of file massspectraceplotcontext.cpp.

{
QString text("Base context:\n");
text += BasePlotContext::toString();
text += "\n";
text += "Mass spectrum trace plot context\n";
text += QString("last z: %1").arg(m_lastZ);
text += QString(" -- last m/z: %1").arg(m_lastMz, 0, 'f', 6);
text += QString(" -- last TIC intensity: %1").arg(m_lastTicIntensity, 0, 'f', 0);
text += QString(" -- last Mr: %1").arg(m_lastMr, 0, 'f', 6);
text += QString(" -- last resolving power: %1").arg(m_lastResolvingPower, 0, 'f', 0);
text += "\n";
return text;
}
pappso::BasePlotContext::toString
Q_INVOKABLE QString toString() const
Definition baseplotcontext.cpp:874

References m_lastMr, m_lastMz, m_lastResolvingPower, m_lastTicIntensity, m_lastZ, and pappso::BasePlotContext::toString().

## Member Data Documentation

## m_lastMr

double pappso::MassSpecTracePlotContext::m_lastMr = qQNaN()

Definition at line 59 of file massspectraceplotcontext.h.

Referenced by clone(), initialize(), resetDeconvolutionData(), and toString().

## m_lastMz

double pappso::MassSpecTracePlotContext::m_lastMz = qQNaN()

Definition at line 57 of file massspectraceplotcontext.h.

Referenced by clone(), initialize(), resetDeconvolutionData(), and toString().

## m_lastResolvingPower

double pappso::MassSpecTracePlotContext::m_lastResolvingPower = qQNaN()

Definition at line 60 of file massspectraceplotcontext.h.

Referenced by clone(), initialize(), and toString().

## m_lastTicIntensity

double pappso::MassSpecTracePlotContext::m_lastTicIntensity = qQNaN()

Definition at line 58 of file massspectraceplotcontext.h.

Referenced by clone(), initialize(), and toString().

## m_lastZ

quint16 pappso::MassSpecTracePlotContext::m_lastZ = std::numeric_limits<quint16>::max()

Definition at line 56 of file massspectraceplotcontext.h.

Referenced by clone(), initialize(), resetDeconvolutionData(), and toString().

## Property Documentation

## lastMr

double pappso::MassSpecTracePlotContext::lastMr

Definition at line 38 of file massspectraceplotcontext.h.

## lastMz

double pappso::MassSpecTracePlotContext::lastMz

Definition at line 36 of file massspectraceplotcontext.h.

## lastResolvingPower

double pappso::MassSpecTracePlotContext::lastResolvingPower

Definition at line 39 of file massspectraceplotcontext.h.

## lastTicIntensity

double pappso::MassSpecTracePlotContext::lastTicIntensity

Definition at line 37 of file massspectraceplotcontext.h.

## lastZ

int pappso::MassSpecTracePlotContext::lastZ

Definition at line 35 of file massspectraceplotcontext.h.

The documentation for this class was generated from the following files:

- pappsomspp/gui/plotwidget/massspectraceplotcontext.h
- pappsomspp/gui/plotwidget/massspectraceplotcontext.cpp